Package org.codehaus.janino.util

# Class ClassFile.InnerClassesAttribute.Entry

java.lang.Object
org.codehaus.janino.util.ClassFile.InnerClassesAttribute.Entry

Enclosing class:
  `ClassFile.InnerClassesAttribute`

public static class ClassFile.InnerClassesAttribute.Entry extends Object
The structure of the `classes` array as described in JVMS7 4.7.6.

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`innerClassAccessFlags`
The fields of the `classes` array as described in JVMS7 4.7.6.
`final short`
`innerClassInfoIndex`
The fields of the `classes` array as described in JVMS7 4.7.6.
`final short`
`innerNameIndex`
The fields of the `classes` array as described in JVMS7 4.7.6.
`final short`
`outerClassInfoIndex`
The fields of the `classes` array as described in JVMS7 4.7.6.

## Constructor Summary

Constructors
Constructor
Description
`Entry(short innerClassInfoIndex, short outerClassInfoIndex, short innerNameIndex, short innerClassAccessFlags)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### innerClassInfoIndex

public final short innerClassInfoIndex
The fields of the `classes` array as described in JVMS7 4.7.6.

### outerClassInfoIndex

public final short outerClassInfoIndex
The fields of the `classes` array as described in JVMS7 4.7.6.

### innerNameIndex

public final short innerNameIndex
The fields of the `classes` array as described in JVMS7 4.7.6.

### innerClassAccessFlags

public final short innerClassAccessFlags
The fields of the `classes` array as described in JVMS7 4.7.6.

## Constructor Details

### Entry

public Entry(short innerClassInfoIndex, short outerClassInfoIndex, short innerNameIndex, short innerClassAccessFlags)